@mixin inputArea {
  display: block;
  position: relative;
  clear: both;
  display: flex;
  margin-bottom: 0.5rem;

  > input,
  > textarea,
  > select {
    &:not(:only-child) {
      padding-right: 2rem;
      margin-bottom: 0;
    }
    ~ :global(.icon:last-child) {
      position: absolute;
      right: 0;
      top: 0;
      display: flex;
      justify-content: center;
      align-items: center;
      padding-right: 0.5rem;
      height: 100%;
    }
  }
}
